declare const _default: import("vue").DefineComponent<{}, {
    $emit: (event: "update", ...args: any[]) => void;
    text: string;
    editable: boolean;
    $props: any;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}, {}>;
export default _default;
